Subject: bug#25529: diagnosis and one approach to a fix

From: Tom Tromey <[email-masked]>
Date: Sat, 11 Feb 2017 08:27:04 -0700

>> I thought it was ok because the region is always extended to the end of
>> the line, and I think this regexp can't span lines.

Stefan> Why come up with complex semantic arguments when a simple `max` ensures
Stefan> the right behavior regardless of other assumptions?

I had already done it, so inertia.

I'm making the change, but I think the fix has to look like this:

      (when (and (looking-at js--syntax-propertize-regexp-regexp)
                 ;; Don't touch text after END.
                 (<= (match-end 1) end))
        (put-text-property (match-beginning 1) (match-end 1)
                           'syntax-table (string-to-syntax "\"/"))
        (goto-char (match-end 0))))))

... the reason being, in the new regexp match #1 is just the terminating
"/", which is the only character whose syntax we want to modify here.

Let me know what you think.

Tom